<!-- Container -->
<div class="asl-p-cont asl-new-bg">
<div class="hide">
  <svg xmlns="http://www.w3.org/2000/svg">
    <symbol id="i-export" viewBox="0 0 32 32" width="13" height="13" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2">
      <path d="M28 22 L28 30 4 30 4 22 M16 4 L16 24 M8 12 L16 4 24 12" />
    </symbol>
    <symbol id="i-import" viewBox="0 0 32 32" width="13" height="13" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2">
      <path d="M28 22 L28 30 4 30 4 22 M16 4 L16 24 M8 16 L16 24 24 16" />
    </symbol>
    <symbol id="i-trash" viewBox="0 0 32 32" width="16" height="16" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2">
        <title><?php echo esc_attr__('Trash','asl_admin') ?></title>
        <path d="M28 6 L6 6 8 30 24 30 26 6 4 6 M16 12 L16 24 M21 12 L20 24 M11 12 L12 24 M12 6 L13 2 19 2 20 6" />
    </symbol>
    <symbol id="i-edit" viewBox="0 0 32 32" width="13" height="13" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2">
        <title><?php echo esc_attr__('Edit','asl_admin') ?></title>
        <path d="M30 7 L25 2 5 22 3 29 10 27 Z M21 6 L26 11 Z M5 22 L10 27 Z" />
    </symbol>
    <symbol id="i-info" viewBox="0 0 32 32" width="13" height="13" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2">
        <path d="M16 14 L16 23 M16 8 L16 10" />
        <circle cx="16" cy="16" r="14" />
    </symbol>
    <symbol id="i-upload" viewBox="0 0 32 32" width="13" height="13" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2">
      <path d="M9 22 C0 23 1 12 9 13 6 2 23 2 22 10 32 7 32 23 23 22 M11 18 L16 14 21 18 M16 14 L16 29" />
    </symbol>
    <symbol id="i-desktop" viewBox="0 0 32 32" width="13" height="13" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2">
      <path d="M10 29 C10 29 10 24 16 24 22 24 22 29 22 29 L10 29 Z M2 6 L2 23 30 23 30 6 2 6 Z" />
    </symbol>
    <symbol id="i-reload" viewBox="0 0 32 32" width="13" height="13" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2">
      <path d="M29 16 C29 22 24 29 16 29 8 29 3 22 3 16 3 10 8 3 16 3 21 3 25 6 27 9 M20 10 L27 9 28 2" />
    </symbol>
  </svg>
</div>
<div class="container">
    <div class="row asl-inner-cont">
      <div class="col-md-12">
        <div class="card p-0 mb-4">
          <h3 class="card-title"><?php echo esc_attr__('Import Stores','asl_admin') ?></h3>
          <div class="card-body">
            <div class="dump-message asl-dumper"></div>
            <div class="row">
              <div class="col-md-12" id="message_complete"></div>
            </div>
            <div class="card-text mb-3"><?php echo esc_attr__('Please Validate the Google Server API Key before Import process, to make sure the coordinates will be fetched correctly through the Google Maps API, ASL is not responsible if Google API doesn\'t provide correct values, please save your Server Google API Key in ASL Settings.','asl_admin') ?></b></div>
            <div class="row">
              <div class="col-md-6">
                <div class="asl-google-api-key asl-import-stores-box mb-4">
                  <h4 class="asl-box-title"><?php echo esc_attr__('Server Google Maps Key','asl_admin') ?></h4>
                  <div class="input-group">
                    <input type="text" id="txt_server_key" readonly="readonly" value="" class="form-control">
                    <p class="help-p"><a target="_blank" class="text-muted" href="https://agilestorelocator.com/wiki/what-is-google-server-key/">What is Google Server Key?</a> | <a target="_blank" class="text-muted" href="https://agilestorelocator.com/wiki/google-server-api-key-troubleshooting/">Troubleshoot</a></p>
                    <div class="input-group-append">
                      <a  data-loading-text="<?php echo esc_attr__('Validating...','asl_admin') ?>" class="btn disabled disabled btn-sm btn-primary"><?php echo esc_attr__('Validate Key','asl_admin') ?></a>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="asl-fatch-coordinates asl-import-stores-box mb-4">
                  <h4 class="asl-box-title"><?php echo esc_attr__('Fetch Coordinates','asl_admin') ?></h4>
                  <div class="card-text mb-3"><?php echo esc_attr__('Please use fetch coordinates button to fill your missing coordinates (Lat/Lng) of your stores through the Google Geocoding API Service, it is important to validate the response of the Google Server Maps API Key and that should report "Valid API Key".','asl_admin') ?></div>
                  <a data-loading-text="<?php echo esc_attr__('Fetching Coordinates...','asl_admin') ?>" class="btn disabled disabled btn-sm btn-primary"><?php echo esc_attr__('Fetch Missing Coordinates','asl_admin') ?></a>
                </div>
                </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <div class="card-title mt-3 mb-3"><?php echo esc_attr__('Imported CSV Files','asl_admin') ?></div>
                <p class="alert alert-warning"><?php echo esc_attr__('Current build works with CSV with comma as the delimiter. Please contact us at support@agilelogix.com for support.','asl_admin') ?></p>
                <div class="card-text mb-3"><?php echo esc_attr__('Please upload your CSV file and then import it though the import button, please make sure to follow the given template and the columns should be in the right format as described in the documentation or simply use Template.csv format, please validate your API Key before import.','asl_admin') ?> <?php echo esc_attr__('Guide article: ','asl_admin') ?> <a target="_blank" href="https://agilestorelocator.com/wiki/import-export-stores-data/"><b><?php echo esc_attr__('Import Stores Using Excel/CSV','asl_admin') ?></b></a>.</div>
                <div class="row">
                  <div class="col-md-6 mb-3">
                    <div class="float-md-left">
                      <button type="button" class="btn disabled btn-success mr-2" data-toggle="smodal" data-target="#import_store_file_emodel"><i><svg width="13" height="13"><use xlink:href="#i-upload"></use></svg></i><?php echo esc_attr__('Upload','asl_admin') ?></button>
                      <button type="button" class="btn disabled btn-success mr-2" id="export_store_file_"><i><svg width="13" height="13"><use xlink:href="#i-export"></use></svg></i><?php echo esc_attr__('Export All','asl_admin') ?></button>
                      <button type="button" class="btn disabled btn-danger mr-2" data-loading-text="<?php echo esc_attr__('Deleting...','asl_admin') ?>" id="asl-delete-stores"><i><svg width="13" height="13"><use xlink:href="#i-trash"></use></svg></i><?php echo esc_attr__('Delete All Stores','asl_admin') ?></button>
                    </div>
                  </div>
                  <div class="col-md-6 mb-3">
                    <div class="float-md-right">
                      <a target="_blank" class="btn disabled btn-dark" href="<?php echo ASL_URL_PATH.'public/export/template-import.csv' ?>">Template.csv</a>         
                      <button type="button" class="btn disabled btn-warning mr-2" data-loading-text="<?php echo esc_attr__('Removing...','asl_admin') ?>" id="asl-duplicate-remove"><i><svg width="13" height="13"><use xlink:href="#i-trash"></use></svg></i><?php echo esc_attr__('Remove Duplicates','asl_admin') ?></button>
                    </div>
                  </div>
                  <div class="col-md-12">
                    <div class="form-group">
                      <label class="switch" for="asl-export-ids"><input type="checkbox" class="custom-control-input" id="asl-export-ids"><span class="slider round"></span></label>
                      <label for="asl-export-ids"><?php echo esc_attr__('Export with Store IDs (IDs are required for update)','asl_admin') ?></label>
                    </div>
                    <div class="form-group">
                      <label class="switch" for="asl-logo-images"><input type="checkbox" class="custom-control-input" id="asl-logo-images"><span class="slider round"></span></label>
                      <label for="asl-logo-images"><?php echo esc_attr__('Export with Logo Images Path','asl_admin') ?>
                    </div>
                  </div>
                </div>
                <div class="table-responsive">
                <table id="tbl_stores" class="table table-bordered">
                    <thead>
                      <tr>        
                        <th align="center"><?php echo esc_attr__('File Name','asl_admin') ?></th>
                        <th align="center"><?php echo esc_attr__('Date','asl_admin') ?></th>
                        <th align="center"><?php echo esc_attr__('View','asl_admin') ?></th>
                        <th align="center"><?php echo esc_attr__('Import','asl_admin') ?></th>
                        <th align="center"><?php echo esc_attr__('Delete','asl_admin') ?></th>
                      </tr>
                    </thead>
                </table>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
      
</div>

<!-- SCRIPTS -->
<script type="text/javascript">
	var ASL_Instance = {
		url: '<?php echo ASL_URL_PATH ?>'
	};

  window.addEventListener("load", function() {
     
	asl_engine.pages.import_store();
});
</script>